> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://ordergroove.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ordergroove.ferndocs.com/_mcp/server.

# List

GET https://restapi.ordergroove.com/subscriptions/

Returns a list all of customer subscriptions for a merchant, or a list of subscriptions for an individual customer.

Reference: https://ordergroove.ferndocs.com/reference/rest-rpc-api/subscriptions/list

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Query parameters

- `live` (list of boolean, optional) — Subscription status: active (True) or inactive (False)
- `product` (string, optional) — Unique product identifier
- `shipping_address` (string, optional) — Address ID
- `customer` (string, optional) — Customer ID (only available in API user scope)
- `created` (date, optional) — Subscription's created date exact match (yyyy-mm-dd)
- `created_start` (date, optional) — Subscription's created date later or equal than parameter (yyyy-mm-dd)
- `created_end` (string, optional) — Subscription's created date sooner or equal than parameter (yyyy-mm-dd)
- `updated` (date, optional) — Subscription's updated date exact match (yyyy-mm-dd). On subscription creation is populated with same value as created field.
- `updated_start` (date, optional) — Subscription's updated datetime later or equal than parameter (yyyy-mm-ddThh:mm:ss)
- `updated_end` (date, optional) — Subscription's updated date time is sooner or equal than parameter (yyyy-mm-ddThh:mm:ss)

## Response

### 200

200

- `count` (integer, optional, default: 0)
- `next` (string, optional)
- `previous` (string, optional)
- `results` (list of SubscriptionsGetResponsesContentApplicationJsonSchemaResultsItems, optional)

## Errors

### 403 Forbidden Error

403

- `detail` (string, optional)

## Types

### SubscriptionsGetResponsesContentApplicationJsonSchemaResultsItems

- `public_id` (string, optional)
- `product_attribute` (map from string to any, optional, nullable)
- `price` (string, optional)
- `frequency_days` (integer, optional, default: 0)
- `reminder_days` (integer, optional, default: 0)
- `start_date` (string, optional)
- `cancelled` (boolean, optional, nullable)
- `cancel_reason_code` (string, optional)
- `cancel_reason` (string, optional)
- `merchant_order_id` (string, optional)
- `subscription_type` (string, optional)
- `components` (list of SubscriptionsGetResponsesContentApplicationJsonSchemaResultsItemsComponentsItems, optional)
- `created` (string, optional)
- `updated` (string, optional)
- `extra_data` (string, optional)
- `live` (string, optional)

### SubscriptionsGetResponsesContentApplicationJsonSchemaResultsItemsComponentsItems

- `public_id` (string, optional)
- `quantity` (integer, optional, default: 0)
- `product` (string, optional)

## Examples

**Response**

```json
{
  "count": 1,
  "next": "https://restapi.ordergroove.com/subscriptions/?page=1",
  "previous": "https://restapi.ordergroove.com/subscriptions/?page=3",
  "results": [
    {
      "public_id": "f9cb2f93e1c845eb9de9eff46ddb3cbf",
      "price": "12.99",
      "frequency_days": 42,
      "reminder_days": 42,
      "start_date": "2017-02-29 12:00:00",
      "cancel_reason_code": "4|",
      "cancel_reason": "4|Overstocked",
      "merchant_order_id": "301617",
      "subscription_type": "Replenish",
      "components": [
        {
          "public_id": "79d2dc76245111eeb185acde48001122",
          "quantity": 1,
          "product": "70067690"
        },
        {
          "public_id": "7eeaa504245111eeb185acde48001122",
          "quantity": 3,
          "product": "70067691"
        }
      ],
      "created": "2017-02-29 12:00:00",
      "updated": "2017-02-29 12:00:00",
      "extra_data": "{\"some\": \"extra\", \"fields\": \"here\"}",
      "live": "True"
    }
  ]
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/subscriptions/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/subscriptions/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/subscriptions/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/subscriptions/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/subscriptions/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/subscriptions/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/subscriptions/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/subscriptions/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```